# $Revision: 1.45 $, $Date: 2008-05-05 20:11:29 $
Summary:	D. J. Bernstein daemontools
Summary(pl.UTF-8):	daemontools D. J. Bernsteina
Name:		daemontools
Version:	0.76
Release:	8
License:	Public Domain
Group:		Networking/Admin
Source0:	http://cr.yp.to/daemontools/%{name}-%{version}.tar.gz
# Source0-md5:	1871af2453d6e464034968a0fbcb2bfc
Source1:	http://smarden.org/pape/djb/manpages/%{name}-%{version}-man.tar.gz
# Source1-md5:	2d3858a48f293c87202f76cd883438ee
Source2:	%{name}.sysconfig
Source3:	%{name}.init
Patch0:		%{name}-glibc.patch
URL:		http://cr.yp.to/daemontools.html
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.10
Conflicts:	ucspi-tcp < 0.88-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# /etc/service or /var/lib/service? (also in .sysconfig)
%define		servicedir	/service

%description
daemontools is a collection of tools for managing UNIX services.

supervise monitors a service. It starts the service and restarts the
service if it dies. Setting up a new service is easy: all supervise
needs is a directory with a run script that runs the service.

multilog saves error messages to one or more logs. It optionally
timestamps each line and, for each log, includes or excludes lines
matching specified patterns. It automatically rotates logs to limit
the amount of disk space used. If the disk fills up, it pauses and
tries again, without losing any data.

%description -l pl.UTF-8
daemontools to zestaw narzędzi do zarządzania usługami uniksowymi.

supervise monitoruje usługi. Startuje usługi i restartuje je, gdy
umrą. Ustawienie nowej usługi jest proste: wszystko czego supervise
potrzebuje to katalog ze skryptami startowymi, które startują usługi.

multilog zapisuje komunikaty o błędach do jednego lub większej liczby
plików logów. Opcjonalnie oznacza każdą linię datą oraz, w każdym
logu, dołącza lub pomija linie pasujące do określonych wzorców.
Automatycznie wykonuje rotację logów do limitu miejsca na dysku.
Jeżeli dysk jest zapełniony, pauzuje i próbuje ponownie, bez strat
danych.

%prep
%setup -q -c -a1
mv admin/daemontools-%{version}/* .
cd src
%patch0 -p0

%build
echo "%{__cc} %{rpmcflags} -Wall" > src/conf-cc
echo "%{__cc} %{rpmldflags}" > src/conf-ld
./package/compile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_sysconfdir}/supervise \
	$RPM_BUILD_ROOT{/var/lib/service,%{servicedir}}

# install manuals
install %{name}-man/*.8* $RPM_BUILD_ROOT%{_mandir}/man8

# install binaries
cd command
install envdir envuidgid fghack multilog pgrphack \
	readproctitle setlock setuidgid softlimit \
	supervise svc svok svscan svscanboot svstat tai64n tai64nlocal \
	$RPM_BUILD_ROOT%{_sbindir}

# install rc & sysconfig files
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/svscan
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/svscan

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add svscan
%service svscan restart

%preun
if [ "$1" = "0" ]; then
	%service svscan stop
	/sbin/chkconfig --del svscan
fi

%files
%defattr(644,root,root,755)
%doc package/README src/{CHANGES,TODO}
%attr(755,root,root) %{_sbindir}/*
%attr(700,root,root) %{servicedir}
%dir %{_sysconfdir}/supervise
%attr(700,root,root) /var/lib/service
%attr(754,root,root) /etc/rc.d/init.d/svscan
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/svscan
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: daemontools.spec,v $
Revision 1.45  2008-05-05 20:11:29  glen
- fixed zombies in initscript after stop, drop findutils dep
- use own builddir
- /etc/tcprules.d moved to ucspi-tcp package
- versioned rc-scripts due --fork in daemon()
- rel 8

Revision 1.44  2008-04-27 00:37:46  glen
- rel 7

Revision 1.43  2008-04-27 00:37:14  glen
- updated initscript, License is Public Domain; rel 6

Revision 1.42  2007-02-12 21:23:52  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.40  2006/09/04 14:49:35  glen
- package /etc/supervise dir for mis supervise scripts; rel 5

Revision 1.39  2006/06/19 09:32:13  glen
- R: chkconfig
- use %service; rel 4

Revision 1.38  2005/10/12 10:14:08  qboosh
- sorted verify() flags

Revision 1.37  2005/10/12 10:07:36  darekr
- %attr for config file
- gpm-friendly Source0

Revision 1.36  2005/06/07 23:20:36  glen
- rel 3

Revision 1.35  2005/04/18 17:21:28  glen
- PreReq: rc-scripts

Revision 1.34  2005/02/01 21:37:23  glen
- add tcprules.d directory support
- rel 2

Revision 1.33  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.32  2003/05/25 05:46:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/06 16:17:14  qboosh
- changed prep so clean works now (no slashes in %setup -n)
- use optflags, use macro for service directory
  (to be changed for FHS compatibility? we cannot distrubute binaries anyway)
- more specific Requires, pl fixes

Revision 1.30  2003/03/31 12:04:53  tjbynum
- daemontools in only partially public domain.

Revision 1.29  2003/03/31 11:05:01  qboosh
- added URL

Revision 1.28  2003/03/31 10:31:59  tjbynum
- typo. STBR.

Revision 1.27  2003/03/31 10:29:04  tjbynum
- new version, daemontools are now Public Domain.

Revision 1.26  2002/10/20 10:51:57  tjbynum
- typo, STBR.

Revision 1.25  2002/10/10 13:20:35  marcus
- use new %doc

Revision 1.24  2002/10/01 18:14:21  mwinkler
- fixed typo

Revision 1.23  2002/04/25 16:09:03  arturs
- fixed a small typo

Revision 1.22  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:12:39  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.18  2001/10/28 11:26:47  saq
- using /service directory (req. by license)
- release 5
- STB

Revision 1.17  2001/09/24 12:06:20  qboosh
- Prereq: /sbin/chkconfig

Revision 1.16  2001/08/15 21:40:59  saq
- release 4 (killing supervised jobs in /etc/rc.d/init.d/svscan)
- STB

Revision 1.15  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.13  2001/05/24 14:46:21  blues
- Release 3
- STB

Revision 1.12  2001/05/24 14:43:02  blues
- added missing init script (in spec only)
- clean-ups with man-pages

Revision 1.11  2001/05/24 14:28:39  blues
- added translations

Revision 1.10  2001/05/07 15:00:37  kloczek
- spec adaptedized,
- simplifications in %install,
- do not compress man pages.

Revision 1.9  2001/03/25 01:51:31  saq
- don't include /usr/share/man/man8 in the package

Revision 1.8  2001/03/18 21:52:04  areq
- add time.patch

Revision 1.7  2000/12/09 20:56:16  serek
- new version; added rc files designed by serek; removed outdated sources.

Revision 1.6  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.3  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.2  1999/10/07 20:32:33  waszi
- rewrited in PLD style
- removed patch

Revision 1.1  1999/10/07 20:21:25  waszi
- first cvs release
